include <buttons.scad>

module panel_button_holes() {
{% for coordinates in coordinates_list %}
    translate([{{ coordinates[0] }}, {{ coordinates[1] }}, 0]) {
        cylinder(h = button_hole_depth, d = {{ coordinates[2] + 1 }} + 1);
    }
{% endfor %}
}

module panel_keyswitch_holes() {
{% for coordinates in coordinates_list %}
    translate([{{ coordinates[0] }}, {{ coordinates[1] }}, 0]) {
        keyswitch_hole({{ coordinates[2] }} + 1);
    }
{% endfor %}
}